Skip to main content
GET
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
/
budget
/
totals
Read budget
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/budget/totals \
  --header 'Authorization: Bearer <token>'
{
  "budgetItems": [
    {
      "amount": 123,
      "createdAt": 123,
      "id": "<string>",
      "name": "<string>",
      "order": 123,
      "updatedAt": 123,
      "description": "<string>"
    }
  ],
  "currencyCode": "AED",
  "spendItems": [
    {
      "amount": 123,
      "createdAt": 123,
      "id": "<string>",
      "name": "<string>",
      "order": 123,
      "updatedAt": 123,
      "description": "<string>"
    }
  ],
  "budgetTotal": 123,
  "remainingBudget": 123,
  "spendTotal": 123
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignGuid
string
required

Response

successful operation

budgetItems
object[]
required
currencyCode
enum<string>
required

The currency code used for the budget and spend amounts, following ISO 4217 standards.

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWL
spendItems
object[]
required
budgetTotal
number

The total budget allocated for the campaign.

remainingBudget
number

The remaining budget available for the campaign after accounting for all spend items.

spendTotal
number

The total amount spent across all spend items in the campaign.

Last modified on March 30, 2026